import Vue from 'vue'
import App from './App.vue'
import 'babel-polyfill'
import router from './router'
import echarts from 'echarts'
Vue.prototype.$echarts = echarts
Vue.config.productionTip = false
import "./assets/css/app.scss"
import ViewUI from 'view-design'
import 'view-design/dist/styles/iview.css';
import store from './store'
import "./assets/css/iview_style_reset.scss"
//
require('./utils/eLang.js')
require('./utils/sensor_specific_event_str.js')
require('./utils/common_str.js')
require('./utils/sensortype_str.js')
require('./utils/event_str.js')
Vue.use(ViewUI);
Vue.prototype.mainColor = '#1874ff'
Vue.prototype.getTimeStamp = function(timeInSeconds) {
    var evtTimeStamp = "";
    var eventDate = new Date(timeInSeconds * 1000);

    var evtMonth=eventDate.getUTCMonth() + 1;
    evtMonth =((evtMonth < 10)?"0":"") + evtMonth;
    var evtDate = eventDate.getUTCDate();
    evtDate=((evtDate < 10)?"0":"") + evtDate;
    evtTimeStamp = evtMonth+'/'+evtDate+'/'+eventDate.getUTCFullYear();

    var evtHours =eventDate.getUTCHours();
    evtHours =((evtHours < 10)?"0":"") + evtHours;
    var evtMins = eventDate.getUTCMinutes();
    evtMins =((evtMins < 10)?"0":"") + evtMins;
    var evtSecs = eventDate.getUTCSeconds();
    evtSecs =((evtSecs < 10)?"0":"") + evtSecs;
    evtTimeStamp += '  '+evtHours+':'+evtMins+':'+evtSecs;
    return (evtTimeStamp);
}
//气泡提示
const popTip = function (el, title, icon, fn, type = 'ghost') {
    return el('Poptip', {
        props: {confirm: true, width: 240, placement: 'top-end', title: `确定${title}?`},
        on: {
            'on-ok': () => {
                fn()
            }
        }
    }, [el('Button', {
        props: {icon: icon, type: type, size: 'small'},
    }, title)])
}
window.popTip = popTip

new Vue({ router,store, render: h => h(App), }).$mount('#app')
